## WebKitDeviceInfoPermissionRequest WebKitDeviceInfoPermissionRequest — A permission request for accessing user's audio/video devices. |

## Types and Values

struct | WebKitDeviceInfoPermissionRequest

## Object Hierarchy

        GObject
        ╰── WebKitDeviceInfoPermissionRequest

## Implemented Interfaces

WebKitDeviceInfoPermissionRequest implements WebKitPermissionRequest.

## Description

WebKitUserMediaPermissionRequest represents a request for permission to whether WebKit should be allowed to access the user's devices information when requested through the enumeraceDevices API.

When a WebKitDeviceInfoPermissionRequest is not handled by the user, it is denied by default.

## Functions

## Types and Values

### struct WebKitDeviceInfoPermissionRequest

    struct WebKitDeviceInfoPermissionRequest;

## See Also

WebKitPermissionRequest, WebKitWebView